Page MenuHomePhabricator

Open link to diff in a new page for the warning when the source page has been updated
Closed, ResolvedPublic

Description

In Content Translation, users get a warning when they are translating a page that has changed since they started the translation.
The warning provides a link for the user to check what changed in the source page.
Currently the link is open in the current window, but it would be preferred to open it in a new window instead for the user to keep the translation context.

Event Timeline

Amire80 lowered the priority of this task from Normal to Low.Oct 3 2016, 11:33 AM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Aug 20 2018, 1:00 PM

This is expected to get solved for the new version of Content Translation once T168287 is completed.

Change 465766 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Warning about article changed too much

https://gerrit.wikimedia.org/r/465766

Change 465766 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Warning about article changed too much

https://gerrit.wikimedia.org/r/465766

Etonkovidova closed this task as Resolved.Dec 12 2018, 5:53 AM
Etonkovidova added a subscriber: Etonkovidova.